SmartMemory
POST
/integrations/request

Request a new integration.

Authorization

AuthorizationBearer <token>

Send Authorization: Bearer <token>. The token is either a Clerk session JWT or a SmartMemory API key (prefix sm_live_, sm_test_, or legacy sk_).

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

User request for a new integration.

Response Body

application/json

application/json

curl -X POST "https://example.com/integrations/request" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}